Unfortunately, as Internet Explorer was released in 2013, it has now become very out of date compared to the other modern browsers available. It does not support HTML 5.12, JS2042, or CSS 3, which are all of the modern scripting users we use to build the software.

If you load the same page in the following browsers, you shouldn't have any display issues:

  • Microsoft Edge (The successor of Internet Explorer)
  • Google Chrome
  • Mozilla Firefox


Some of the reasons that we have chosen not to support out of date browsers are:
  • Load times. Javascript would need to be compiled to ES5 instead of ES 6 which increases the bundle size in some cases by 30%. So a significant performance decrease
  • Our development time increased by 30%. The time that could be spent on new features/quality improvement.
  • Maintenance Time increases, as well as code, sometimes gets ‘hacked’ for IE. Then the next developer sees that mess and tries to figure out what is going on.
    Overall the Development time is about 10–30% higher for supporting IE 11


If you are using windows 10, just search for Microsoft Edge in your start menu, as it will already be installed.